# createTaxonomyRule - Create a Taxonomy Rule

Call Frequency

Recommended usage: 5 per second
Maximum usage: 10 per second

Endpoint: PUT /v1/taxonomy/channels/{channel_id}/rules
Security: Bearer

## Path parameters:

  - `channel_id` (string, required)
    Connect Channel identifier

## Request fields (application/json; charset=UTF-8):

  - `rules` (array, required)
    List of rules to create

  - `rules.id` (string, required)
    Unique identifier of the rule
    Example: "rule-1234"

  - `rules.then` (object, required)
    A set of actions to apply when the rule is triggered

  - `rules.then.all` (array, required)
    List of actions to apply

  - `rules.then.all.redefine` (object, required)

  - `rules.then.all.redefine.attribute` (string, required)
    Anything that uniquely identifies the product attribute.

  - `rules.then.all.redefine.requirementLevel` (string, required)
    Requirement level of the attribute when creating or updating a product

Enum: "OPTIONAL", "RECOMMENDED", "REQUIRED"

  - `rules.when` (any, required) — one of:
    - All:
      - `all` (array, required)
        List of conditions to satisfy
    - Any:
      - `any` (array, required)
        List of conditions where at least one must be satisfied
    - Not:
      - `not` (any, required)
    - IsSet:
      - `isSet` (object, required)
      - `isSet.attribute` (string, required)
        Anything that uniquely identifies the product attribute.
    - Equals:
      - `equals` (object, required)
      - `equals.attribute` (string, required)
        Anything that uniquely identifies the product attribute.
      - `equals.value` (any, required)
    - In:
      - `in` (object, required)
      - `in.attribute` (string, required)
        Anything that uniquely identifies the product attribute.
      - `in.values` (array, required)
        List of values to check against


## Response 202 fields
